Skip to main content
Platform O&M/Migration Service (Plus)/Migration Service Operations

ChangeV2VConversionHostState

ChangeV2VConversionHostState

PUT/zstack/v1/v2v-conversion-hosts/{uuid}/actions

Operation ID

ChangeV2VConversionHostState

Since

3.0.1

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • stateEvent
    StringRequired

    The state event.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    V2VConversionHostInventoryRequired

    See inventory.

  • uuid
    StringRequired

    The resource UUID.

  • name
    StringRequired

    The resource name.

  • description
    StringRequired

    The detailed description of the resource.

  • type
    StringRequired

    The type.

  • hostUuid
    StringRequired

    The host UUID.

  • storagePath
    StringRequired

    The image storage path of the V2V migration.

  • state
    StringRequired

    The state.

  • createDate
    TimestampRequired

    The creation date.

  • lastOpDate
    TimestampRequired

    The last operation date.